Skip to main content
GET
/
api
/
v1
/
contexts
List file contexts
curl --request GET \
  --url https://api.uplint.dev/api/v1/contexts \
  --header 'Authorization: Bearer <token>'
{
  "status": "SUCCESS",
  "message": "<string>",
  "data": [
    {
      "context_id": "<string>",
      "context_key": "<string>",
      "display_name": "<string>",
      "description": "<string>",
      "status": "active",
      "allowed_extensions": [
        "<string>"
      ],
      "max_file_size_mb": 123,
      "reject_blank_files": true,
      "reject_corrupt_files": true,
      "scan_for_viruses": true,
      "upload_rate_limit": {
        "max_uploads": 5000,
        "window_seconds": 1800
      },
      "storage_quota_mb": 123,
      "storage_used_bytes": 123
    }
  ],
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total": 123,
    "total_pages": 123
  },
  "timestamp": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Pass an API key or JWT token. API keys can be sent as Authorization: Bearer <key> or Authorization: <key>.

Query Parameters

page
integer
default:1

Page number.

Required range: x >= 1
page_size
integer
default:20

Items per page.

Required range: 1 <= x <= 100
status
enum<string>

Filter by context status.

Available options:
active,
inactive

Response

Paginated list of file contexts.

status
enum<string>
Available options:
SUCCESS
message
string
data
object[]
pagination
object
timestamp
string<date-time>